#include <iostream>
#include <bits/stdc++.h>

using namespace std;

#define endl "\n"
#define ll long long

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(NULL);
    int n;
    cin >> n;
    cout << 2*(n/2)+1 << " ";
    int mali=1, veliki=2*(n/2)+3;
    int ctr=1;
    while(ctr<n){
        if(ctr%2){
            cout << mali << " ";
            mali++;
        }
        else{
            cout << veliki << " ";
            veliki++;
        }
        ctr++;
    }
    cout << endl;
    cout << 2*(n/2)+2 << " ";
    ctr=1;
    while(ctr<n){
        if(ctr%2){
            cout << mali << " ";
        }
        else{
            cout << veliki << " ";
        }
        ctr++;
    }
    cout << endl;
}